% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/usercountry.R
\name{getUserCountry}
\alias{getUserCountry}
\title{Get user country report from matomo API server}
\usage{
getUserCountry(
  matomoUrl,
  siteId,
  period = "month",
  date = "last36",
  filter_limit = 100,
  accessToken = getAccessToken(matomoUrl)
)
}
\arguments{
\item{matomoUrl}{base URL of your matomo instance}

\item{siteId}{matomo site id or vector of site ids}

\item{period}{\code{day}, \code{week}, \code{month} or \code{year}}

\item{date}{date range (see \url{https://developer.matomo.org/api-reference/reporting-api})}

\item{filter_limit}{defines the maximum number of rows to be returned}

\item{accessToken}{API Authentication Token - you can get this in your
matomo interface under Settings -> Personal -> Settings -> API Authentication Token
and pass it here, or you can make it persistent with \code{\link{persistAccessToken}}.}
}
\description{
See matomo Reporting API Reference (\url{https://developer.matomo.org/api-reference/reporting-api}) for details.
}
\examples{
\dontrun{
df <- getUserCountry("https://demo.matomo.org/", siteId=3, period="day", date="last60")
}

}
\references{
\url{https://developer.matomo.org/api-reference/reporting-api}
}
